%define upstream_name    Env-Path
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Advanced operations on path variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Env/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%{?perl_default_filter}

%description
Env::Path presents an object-oriented interface to _path variables_,
defined as that subclass of _environment variables_ which name an ordered
list of filesystem elements separated by a platform-standard _separator_
(typically ':' on UNIX and ';' on Windows).

Of course, core Perl constructs such

  $ENV{PATH} .= ":/usr/local/bin";

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README examples
%{_bindir}/envpath
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-9.mga8
+ Revision: 1494440
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.190.0-8.mga7
+ Revision: 1267855
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-7.mga6
+ Revision: 1026927
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.190.0-6.mga6
+ Revision: 930930
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-5.mga5
+ Revision: 742867
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.190.0-4.mga5
+ Revision: 732096
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-3.mga5
+ Revision: 684642
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.190.0-2.mga4
+ Revision: 526316
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.190.0-1.mga4
+ Revision: 436623
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-3.mga3
+ Revision: 366881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.180.0-2.mga1
+ Revision: 26268
- no meta.yml
- mageia rebuild
- imported package perl-Env-Path


* Fri Dec 24 2010 Shlomi Fish <shlomif@mandriva.org> 0.180.0-2mdv2011.0
+ Revision: 624653
- Fix the files section
- import perl-Env-Path

